BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.ValueType System.IComparable System.IComparable<System.Char> System.IConvertible System.IEquatable<System.Char>

Represents a Unicode character.

The value type represents Unicode characters, with code points ranging from 0 to 65,535.

The of a Unicode character is that character's 2-byte, encoded value.

The enumeration describes the categories that a Unicode character can be mapped to. For information on mapping specific Unicode characters to Unicode categories, see the UnicodeData.txt file in the Unicode Character Database at http://www.unicode.org/Public/UNIDATA/UnicodeCharacterDatabase.html. The UnicodeData.txt file format is described at http://www.unicode.org/Public/3.1-Update/UnicodeData-3.1.0.html.

- Method
  System.Int32 `` To be added.

  Returns the sort order of the current instance compared to the specified .

  The return value is a negative number, zero, or a positive number reflecting the sort order of the current instance as compared to . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Return Value
  Description
  A negative number
  Current instance < .
  Zero
  Current instance == .
  A positive number
  Current instance > .

  The comparison performed by this method is based on the code points of the current instance and , not necessarily their lexicographical characteristics.

  This method is implemented to support the interface.

  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` The to compare to the current instance.

  Returns the sort order of the current instance compared to the specified .

  The return value is a negative number, zero, or a positive number reflecting the sort order of the current instance as compared to . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Return Value
  Description
  A negative number
  Current instance < .
  Zero
  Current instance == .
  A positive number

  Current instance > , or is a null reference.

  The comparison performed by this method is based on the code points of the current instance and , not necessarily their lexicographical characteristics.

  This method is implemented to support the interface.

  is not a and is not a null reference. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added.

  Determines whether the current instance and the specified represent the same value.

  if represents the same value as the current instance; otherwise, .

  The comparison performed by this method is based on the code points of the current instance and , not necessarily their lexicographical characteristics.

  This method is implemented to support the interface.

  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` The to compare to the current instance.

  Determines whether the current instance and the specified represent the same type and value.

  if represents the same type and value as the current instance. If is a null reference or is not an instance of , returns .

  The comparison performed by this method is based on the code points of the current instance and , not necessarily their lexicographical characteristics.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32

  Generates a hash code for the current instance.

  A value containing a hash code for the current instance.

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Double `` A Unicode character.

  Returns the numeric value associated with the specified Unicode character.

  A representing the numeric value associated with if and only if has an associated numeric value; otherwise, -1.0.

  A character has an associated numeric value if and only if it is a member of one of the following categories in : , , or .

  The following example demonstrates the method.

  `using System; public class GetNumericValueExample { public static void Main() { Char[] cAry = {'8', 'V', Convert.ToChar(0X00BC)}; //Unicode U+00BC is the code point for the character //representation of 1/4 foreach(Char c in cAry) { Console.Write("Numeric value of Unicode " + "character {0} ", c); Console.WriteLine(" is {0}", Char.GetNumericValue(c)); } } }`

  The output is

  Numeric value of Unicode character 8 is 8

  Numeric value of Unicode character V is -1

  Numeric value of Unicode character is 0.25

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Double `` `` A . A that specifies the position of a character in . To be added.

  Returns the numeric value associated with the Unicode character at the specified position in the specified .

  A representing the numeric value associated with the at position in if and only if that has an associated numeric value; otherwise, -1.0.

  A character has an associated numeric value if and only if it is a member of one of the following categories in : , , or .

  is a null reference. The value of is less than zero, or greater than or equal to the length of . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TypeCode To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Globalization.UnicodeCategory `` A Unicode character.

  Determines the of the specified Unicode character.

  The of .

  For more information regarding Unicode categories, see .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Globalization.UnicodeCategory `` `` A . A that specifies the position of a character in .

  Determines the of the character at the specified position in the specified .

  The of the at position index in .

  For more information regarding Unicode categories, see .

  is a null reference. The value of is less than zero, or greater than or equal to the length of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A Unicode character.

  Determines whether the specified Unicode character is a control character.

  true if is a member of the following category in : ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` A . A that specifies a character position in . To be added.

  Determines whether the character at the specified position in the specified is a control character.

  if the character at position in is a member of the following category in : ; otherwise, .

  To be added. is a null reference. The value of is less than zero, or greater than or equal to the length of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A Unicode character.

  Determines whether a Unicode character is a decimal digit.

  if is a member of the following category in : ; otherwise, .

  determines if a Char is a radix-10 digit. This contrasts with , which determines if a is of any numeric Unicode category.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` `` A . A that specifies a character position in . To be added.

  Determines whether the character at the specified position in the specified is a decimal digit.

  if the character at position in is a member of the following category in : ; otherwise, .

  determines if a is a radix-10 digit. This contrasts with , which determines if a is of any numeric Unicode category.

  is a null reference. The value of is less than zero, or greater than or equal to the length of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A Unicode character.

  Determines whether the specified Unicode character is a letter.

  if is a member of one of the following categories in : , , , , or ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` A . A that specifies a character position in . To be added.

  Determines whether the character at the specified position in the specified is a letter.

  if the character at position in is a member of one of the following categories in : , , , , or ; otherwise, .

  To be added. is a null reference. The value of is less than zero, or greater than or equal to the length of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A Unicode character.

  Determines whether the specified Unicode character is either a letter or a decimal digit.

  if is a member of one of the following categories in : , , , , , or ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` A . A that specifies a character position in . To be added.

  Determines whether the character at the specified position in the specified is either a letter or a decimal digit.

  if the character at position in is a member of one of the following categories in : , , , , , or ; otherwise, .

  To be added. is a null reference. The value of is less than zero, or greater than or equal to the length of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A Unicode character.

  Determines whether the specified Unicode character is a lowercase letter.

  if is a member of the following category in : ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` A . A that specifies a character position in . To be added.

  Determines whether the character at the specified position in the specified is a lowercase letter.

  if the character at position in is a member of the following category in :; otherwise, .

  To be added. is a null reference. The value of is less than zero, or greater than or equal to the length of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A Unicode character.

  Determines whether the specified Unicode character is a number.

  if is a member of one of the following categories in : , , or ; otherwise, .

  determines if a is of any numeric Unicode category. This contrasts with , which determines if a is a radix-10 digit.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` `` A . A that specifies a character position in . To be added.

  Determines whether the character at the specified position in the specified is a number.

  if the character at position in is a member of one of the following categories in : , , or ; otherwise, .

  determines if a is of any numeric Unicode category. This contrasts with , which determines if a is a radix-10 digit.

  is a null reference. The value of is less than zero, or greater than or equal to the length of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A Unicode character.

  Determines whether the specified Unicode character is a punctuation mark.

  if is a member of one of the following categories in : , , , , , , or ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` A . A that specifies a character position in . To be added.

  Determines whether the character at the specified position in the specified is a punctuation mark.

  if the character at position in is a member of one of the following categories in : , , , , , , or ; otherwise, .

  To be added. is a null reference. The value of is less than zero, or greater than or equal to the length of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A Unicode character.

  Determines whether the specified Unicode character is a separator character.

  if is a member of one of the following categories in : , , or ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` A . A that specifies a character position in . To be added.

  Determines whether the character at the specified position in the specified is a separator character.

  if the character at position in is a member of one of the following categories in : , , or ; otherwise, .

  To be added. is a null reference. The value of is less than zero, or greater than or equal to the length of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A Unicode character.

  Determines whether the specified Unicode character is a surrogate character.

  if is a member of the following category in : ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` A . A that specifies a character position in . To be added.

  Determines whether the character at the specified position in the specified is a surrogate character.

  if the character at position in is a member of the following category in : ; otherwise, .

  To be added. is a null reference. The value of is less than zero, or greater than or equal to the length of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A Unicode character.

  Determines whether the specified Unicode character is a symbol character.

  if is a member of one of the following categories in : , , , or ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` A . A that specifies a character position in . To be added.

  Determines whether the character at the specified position in the specified is a symbol character.

  if the character at position in is a member of one of the following categories in : , , , or ; otherwise, .

  To be added. is a null reference. The value of is less than zero, or greater than or equal to the length of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A Unicode character.

  Determines whether the specified Unicode character is an uppercase letter.

  if is a member of the following category in : ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` A . A that specifies a character position in s. To be added.

  Determines whether the character at the specified position in the specified is an uppercase letter.

  if the character at position in is a member of the following category in : ; otherwise, .

  To be added. is a null reference. The value of is less than zero, or greater than or equal to the length of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A Unicode character.

  Determines whether the specified Unicode character is a whitespace character.

  if either has a code point of 0x0009, 0x000a, 0x000b, 0x000c, 0x000d, 0x0085, 0x2028, or 0x2029; or is a member of the following category in : ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` A . A that specifies a character position in . To be added.

  Determines whether the character at the specified position in the specified is a whitespace character.

  if the character at position in either has a code point of 0x0009, 0x000a, 0x000b, 0x000c, 0x000d, 0x0085, 0x2028, or 0x2029; or is a member of the following category in : ; otherwise, .

  To be added.

  is a null reference.

  The value of is less than zero, or greater than or equal to the length of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Char

  Contains the maximum code point for the type.

  The numeric value of this constant is 65,535.

  0
  (char)0xFFFF
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.Char

  Contains the minimum code point for the type.

  The numeric value of this constant is 0.

  0
  (char)0x0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Char `` A containing a single Unicode character.

  Returns the specified converted to a value.

  The value obtained from .

  To be added. is a null reference. does not contain exactly one character. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.SByte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` A Unicode character.

  Converts a to its lowercase equivalent.

  The lowercase equivalent of , or the value of if and only if is already lowercase or does not have a lowercase equivalent.

  To be added.

  The following example demonstrates the method.

  `using System; public class CharToLower { public static void Main() { Char[] cAry = {'A', 'c', '*'}; foreach (Char c in cAry) { Console.Write("Char '{0}' ToLower is ", c); Console.WriteLine("{0}", Char.ToLower(c)); } } }`

  The output is

  Char 'A' ToLower is a

  Char 'c' ToLower is c

  Char '*' ToLower is *

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Char `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.String

  Returns a representation of the value of the current instance.

  A representation of the current instance.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` (Reserved) An interface implementation that supplies culture-specific formatting information.

  Converts the value of this instance to its equivalent representation using the specified culture-specific format information.

  The representation of the value of this instance as specified by .

  is ignored; it does not participate in this operation.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Char `` A Unicode character.

  Converts a to its uppercase equivalent.

  The uppercase equivalent of , or the value of if and only if is already uppercase or does not have an uppercase equivalent.

  To be added.

  The following example demonstrates the method.

  `using System; public class CharToUpper { public static void Main() { Char[] cAry = {'A', 'c', '*'}; foreach (Char c in cAry) { Console.Write("Char '{0}' ToUpper is {1}", c, Char.ToUpper(c)); Console.WriteLine(); } } }`

  The output is

  Char 'A' ToUpper is A

  Char 'c' ToUpper is C

  Char '*' ToUpper is *

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Char `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)